Documentation Index

Fetch the complete documentation index at: https://help.branch.io/llms.txt

Use this file to discover all available pages before exploring further.

Deactivate Subscription

Prev Next
Delete
/scheduled-exports/logs/subscription/{subscription_id}

Deactivates a single export subscription for a given Subscription Id.

Security
appId & accessToken
API Key: appId
Query parameter nameapp_id

app_id | Unique identifier for Branch app of requested data.


API Key: accessToken
Header parameter nameaccess-token

Access-Token | Key that encapsulates the user's permission w.r.t an org. Obtained from the Branch Dashboard, needed for authentication.

Path parameters
subscription_id
stringRequired

A persistent id for the specific subscription.

ExampleXXXX-0000-xxxx
Responses
200

Status of aggregate export

object

Deactivate Subscription Body

status
string

Indicates whether the deactivate request succeeded.

ExampleSUCCESS
description
string

Additional information about the status of the request

ExampleSubscription deactivated successfully
400

Authentication Failed

Result
"{\n    \"error\": {\n        \"message\": \"Authentication failed !\",\n        \"code\": 400\n    }\n}"
Expand All
object
error
object (inline_response_400_error)
message
string
ExampleAuthentication failed !
code
integer
Example400
404

Job ID Not Found

429

Rate Limit Reached

Result
"{\n    \"error\": {\n        \"code\": 429,\n        \"message\": \"Rate limit reached.\"\n    }\n}"
Expand All
object
error
object
code
integer
Example429
message
string
ExampleRate limit reached.